
//- Ten plik zawiera obsluge zdarzen wywolanych przez moduly BBMagic MAGNETO
//-----------------------------------------------------------------------------------
//-This file contains functions for handling BBmagic MAGNETOs modules events

void magneto_action(unsigned char *bbm_buf)
{
    int adc1, adc2 ;
    float vcc_f ;

    //-sprawdz adres sensora (zastap "111111111111" adresem Twojego sensora BBMagic MAGNETO)
    //-------------------------------------------------------------------------------------------
    //-check sensor address (replace "111111111111" with your first BBMagic MAGNETO address)
//    if( bbm_check_addr("111111111111", bbm_buf) )
if( bbm_check_addr("CBFD786BAA68", bbm_buf) )
    {
        if(bbm_buf[BBM_MAGNETO_FLAGS] & BBM_MAGNETO_MAGNET_MASK)
        {
            printf("\n ------> MAGNET detected !!!\n") ;
        }else
        {
            printf("\n ------> no MAGNET\n") ;
        }

        //-adc inputs
        adc1 =bbm_buf[BBM_MAGNETO_ADC_1_MSB] ; adc1 *=256 ; adc1 +=bbm_buf[BBM_MAGNETO_ADC_1_LSB] ;
        adc2 =bbm_buf[BBM_MAGNETO_ADC_2_MSB] ; adc2 *=256 ; adc2 +=bbm_buf[BBM_MAGNETO_ADC_2_LSB] ;
        printf(" ADC1=%dmV ADC2=%dmV\n", adc1, adc2) ;

        //-Light [0 - 255], chip temperature, BBM_MAGNETO_FLAGS
        printf(" L=%d chT=%d*C F=%0.2X\n", bbm_buf[BBM_MAGNETO_LIGHT], (signed char)bbm_buf[BBM_MAGNETO_CHIP_TEMP], bbm_buf[BBM_MAGNETO_FLAGS]) ;
        if(bbm_buf[BBM_MOTION_LIGHT] > 100)
        {

        }else if(bbm_buf[BBM_MOTION_LIGHT] < 30)

        //- vcc
        vcc_f = (float)bbm_buf[BBM_MAGNETO_V_SUP] ; vcc_f/=BBMAGIC_VCC_DIVIDER ;       //-calculate power suuply voltage
        printf(" Vcc=%0.2fV\n", vcc_f) ;
    }

    //-sprawdz kolejny adres (zastap "222222222222" adresem Twojego kolejnego sensora BBMagic MAGNETO)
    //-----------------------------------------------------------------------------------------------
    //-check next sensor (replace "222222222222" with your next BBMagic MAGNETO address)
    /*
    else if( bbm_check_addr("222222222222", bbm_buf) )
    {

    }
    */
}

