
//- Ten plik zawiera obsluge zdarzen wywolanych przez moduly BBMagic METEO
//-----------------------------------------------------------------------------------
//-This file contains functions for handling BBmagic METEOs modules events

void meteo_action(unsigned char *bbm_buf)
{
    int i, ad1, ad2 ;
    float vcc_f, temp_f ;

    //-sprawdz adres sensora (zastap "111111111111" adresem Twojego sensora BBMagic METEO)
    //-------------------------------------------------------------------------------------------
    //-check sensor address (replace "111111111111" with your first BBMagic METEO address)
    if( bbm_check_addr("111111111111", bbm_buf) )
    {
    	//-calculate TEMPERATURE
    	temp_f =(float)(signed char)bbm_buf[BBM_METEO_TEMPER_MSB] ; temp_f *=256.0 ;
    	temp_f +=(float)bbm_buf[BBM_METEO_TEMPER_LSB] ; temp_f /=100.00 ;

        //-print temperature, RH, Light. INPUTS
        printf(" T=%0.2f*C RH=%2d L=%0.3d INPUTS=%0.2X\n", temp_f, bbm_buf[BBM_METEO_HUM], bbm_buf[BBM_METEO_LIGHT], bbm_buf[BBM_METEO_DIN_STATE]) ;

        //-adc data
        ad1 =bbm_buf[BBM_METEO_ADC_1_MSB] ; ad1 *=256 ; ad1 +=bbm_buf[BBM_METEO_ADC_1_LSB] ;
        ad2 =bbm_buf[BBM_METEO_ADC_2_MSB] ; ad2 *=256 ; ad2 +=bbm_buf[BBM_METEO_ADC_2_LSB] ;
        printf(" ADC1=%dmV ADC2=%dmV\n", ad1, ad2) ;

        //- vcc
        vcc_f = (float)bbm_buf[BBM_METEO_V_SUP] ; vcc_f/=BBMAGIC_VCC_DIVIDER ;       //-calculate power suuply voltage
        printf(" %0.2fV\n", vcc_f) ;

        //- device working time
        i =bbm_buf[BBM_METEO_WORKTIME_3] ; i<<=8 ; i |=bbm_buf[BBM_METEO_WORKTIME_2] ; i<<=8 ;
        i |=bbm_buf[BBM_METEO_WORKTIME_1] ; i<<=8 ; i |=bbm_buf[BBM_METEO_WORKTIME_0] ;
        printf(" Nm=%ds Wt=%ds>\n",bbm_buf[BBM_METEO_ADV_TIME] * 2, i) ;

        //- RSSI
        printf(" %ddBm\n", (signed char)bbm_buf[BBMAGIC_DEVICE_RSSI]) ;  //-RSSI
    }

    //-sprawdz kolejny adres (zastap "222222222222" adresem Twojego kolejnego sensora BBMagic METEO)
    //-----------------------------------------------------------------------------------------------
    //-check next sensor (replace "222222222222" with your next BBMagic METEO address)
    /*
    else if( bbm_check_addr("222222222222", bbm_buf) )
    {

    }
    */
}

