
//- Ten plik zawiera obsluge zdarzen wywolanych przez moduly BBMagic MOTION
//-----------------------------------------------------------------------------------
//-This file contains functions for handling BBmagic MOTIONs modules events

void motion_action(unsigned char *bbm_buf)
{
    int adc1, adc2 ;
    float vcc_f ;

    //-sprawdz adres sensora (zastap "111111111111" adresem Twojego sensora BBMagic MOTION)
    //-------------------------------------------------------------------------------------------
    //-check sensor address (replace "111111111111" with your first BBMagic MOTION address)
    if( bbm_check_addr("111111111111", bbm_buf) )
    {
        //-motion detection
        if(bbm_buf[BBM_MOTION_FLAGS] & BBM_MOTION_ALERT_MASK)
        {
            printf(" OBJECT DETECTED !!\n") ;

            bbm_pwm_set("pwm_1", 75, 75, 75) ;
            bbm_pwm_set_trigger("pwm_1", 30) ;

            /*
            if( bbm_time_is_between(23.00, 6.00) )
            {
                bbm_pwm_set("pwm_1", 10, 10, 10) ;
                bbm_pwm_set_trigger("pwm_1", 120) ;
            }else if( bbm_time_is_between(18.00, 23.00) )
            {
                bbm_pwm_set("pwm_1", 100, 100, 100) ;
                bbm_pwm_set_trigger("pwm_1", 900) ;
            }
            */
        }

        //-adc inputs
        adc1 =bbm_buf[BBM_MOTION_ADC_1_MSB] ; adc1 *=256 ; adc1 +=bbm_buf[BBM_MOTION_ADC_1_LSB] ;
        adc2 =bbm_buf[BBM_MOTION_ADC_2_MSB] ; adc2 *=256 ; adc2 +=bbm_buf[BBM_MOTION_ADC_2_LSB] ;
        printf(" ADC1=%dmV ADC2=%dmV\n", adc1, adc2) ;

        //-Light [0 - 255], chip temperature, BBM_MOTION_MOTION_ALERTS
        printf(" L=%d chT=%d*C F=%0.2X\n", bbm_buf[BBM_MOTION_LIGHT], (signed char)bbm_buf[BBM_MOTION_CHIP_TEMP], bbm_buf[BBM_MOTION_FLAGS]) ;
        if(bbm_buf[BBM_MOTION_LIGHT] > 100)
        {

        }else if(bbm_buf[BBM_MOTION_LIGHT] < 25)

        //- vcc
        vcc_f = (float)bbm_buf[BBM_MOTION_V_SUP] ; vcc_f/=BBMAGIC_VCC_DIVIDER ;       //-calculate power suuply voltage
        printf(" Vcc=%0.2fV\n", vcc_f) ;
    }
    //-sprawdz kolejny adres (zastap "222222222222" adresem Twojego kolejnego sensora BBMagic MOTION)
    //-----------------------------------------------------------------------------------------------
    //-check next sensor (replace "222222222222" with your next BBMagic MOTION address)
    /*
    else if( bbm_check_addr("222222222222", bbm_buf) )
    {

    }
    */
}

